Package: groovy.org.codenarc.rule.imports

## [Groovy] Class DuplicateImportRule

- groovy.org.codenarc.rule.imports.DuplicateImportRule

- Rule that checks for a duplicate import NOTE: Does not distinguish between multiple duplicate imports of the same class. Thus, it may produce multiple violations with the same line number in that case.

  Authors:
    Chris Mair
    Hamlet D'Arcy

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractImportRule` | `NON_STATIC_IMPORT_PATTERN, STATIC_IMPORT_PATTERN`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyTo(SourceCode sourceCode, List violations)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractImportRule` | `eachImportLine, findLineNumberOfFirstClassDeclaration`

- - ### Property Detail

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### void applyTo(SourceCode sourceCode, List violations)